# Visualization
TKV3d
Visual3d

# Visual3d_ListIteratorOfSetListOfSetOfClipPlane Class Reference

`#include <Visual3d_ListIteratorOfSetListOfSetOfClipPlane.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Visual3d_ListIteratorOfSetListOfSetOfClipPlane ()
Standard_EXPORT | Visual3d_ListIteratorOfSetListOfSetOfClipPlane (const Visual3d_SetListOfSetOfClipPlane &L)
Standard_EXPORT void | Initialize (const Visual3d_SetListOfSetOfClipPlane &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_Visual3d_ClipPlane & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_ListIteratorOfSetListOfSetOfClipPlane::Visual3d_ListIteratorOfSetListOfSetOfClipPlane | ( |  | ) |

Standard_EXPORT Visual3d_ListIteratorOfSetListOfSetOfClipPlane::Visual3d_ListIteratorOfSetListOfSetOfClipPlane | ( | const Visual3d_SetListOfSetOfClipPlane & | L | ) |

## Member Function Documentation

Standard_EXPORT void Visual3d_ListIteratorOfSetListOfSetOfClipPlane::Initialize | ( | const Visual3d_SetListOfSetOfClipPlane & | L | ) |

Standard_Boolean Visual3d_ListIteratorOfSetListOfSetOfClipPlane::More | ( |  | ) | const

Standard_EXPORT void Visual3d_ListIteratorOfSetListOfSetOfClipPlane::Next | ( |  | ) |

void Visual3d_ListIteratorOfSetListOfSetOfClipPlane::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Visual3d_ListIteratorOfSetListOfSetOfClipPlane::operator new | ( | size_t | size | ) | `[inline]`

void* Visual3d_ListIteratorOfSetListOfSetOfClipPlane::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_Visual3d_ClipPlane& Visual3d_ListIteratorOfSetListOfSetOfClipPlane::Value | ( |  | ) | const

## Field Documentation

Standard_Address Visual3d_ListIteratorOfSetListOfSetOfClipPlane::current `[private]`

Standard_Address Visual3d_ListIteratorOfSetListOfSetOfClipPlane::previous `[private]`

The documentation for this class was generated from the following file:

- Visual3d_ListIteratorOfSetListOfSetOfClipPlane.hxx